Subject: [PATCH 3/6] ARM: plat-versatile: add DT support to FPGA IRQ controller

From: [email-masked] (Arnd Bergmann)
Date: Sat, 1 Sep 2012 07:11:18 +0000

On Saturday 01 September 2012, Linus Walleij wrote:
> > When all devices get their IRQ numbers from the device
> > tree, you can move to linear IRQ domains instead of legacy, and let
> > the irq domain code pick the numbers.
> 
> It seems I have no other choice here than to move directly to
> linear numbers or atleast dynamically allocated descriptors.

You could also do a hack and keep the number hardcoded, or dependent
on the "compatible" value of the root node, but moving to linear
domains would be nicer because then you don't have to change this code
again.

	Arnd